Bug 1776081 - Unable to load Product Tasks and shows error : foreman_tasks/api/tasks/bulk_search 500 (Internal Server Error)
Summary: Unable to load Product Tasks and shows error : foreman_tasks/api/tasks/bulk_s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: James Jeffers
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-25 05:32 UTC by vijsingh
Modified: 2020-04-14 13:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (122.97 KB, image/png)
2019-11-25 05:33 UTC, vijsingh
no flags Details
Production log from possible reproducer. (19.32 KB, text/plain)
2019-12-18 14:10 UTC, James Jeffers
no flags Details
tasks (42.33 KB, image/png)
2019-12-23 06:55 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description vijsingh 2019-11-25 05:32:58 UTC
Description of problem:
Unable to load Product Tasks and shows error : foreman_tasks/api/tasks/bulk_search 500 (Internal Server Error)

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 3.0

How reproducible:

Always 

Steps to Reproduce:
1. Create a Product on Satellite UI
2. Check tasks at : Content => Products => Click on Product name => Tasks


Actual results:

Unable to load Product Tasks and shows error : foreman_tasks/api/tasks/bulk_search 500 (Internal Server Error)

Expected results:

Page should load and show the related tasks

Additional info:

Screenshot attached

Comment 3 vijsingh 2019-11-25 05:33:53 UTC
Created attachment 1639344 [details]
Screenshot

Comment 5 Brad Buckingham 2019-11-26 18:20:33 UTC
When fixing this bug, we need to make sure there are no other similar errors in other pages of the Katello UI.

Comment 6 James Jeffers 2019-12-18 13:21:27 UTC
Is it possible to also post the production.log for the foreman/katello server when this 500 error occurs?

I will attempt to reproduce. If I do, I will post my production log. I'd like to verify we're looking at the same error.

Comment 7 James Jeffers 2019-12-18 14:08:16 UTC
Production log preview at https://paste.centos.org/view/afcbf9ac

This error appears to e be generated due to a foreman-tasks error (see https://projects.theforeman.org/issues/28415).

Updating to foreman-tasks 0.17.4+ resolves this error.

Comment 8 James Jeffers 2019-12-18 14:10:43 UTC
Created attachment 1646110 [details]
Production log from possible reproducer.

Here's the production.log from katello/foreman when navigating to the Products-> <product name> -> Tasks

Comment 9 vijsingh 2019-12-23 06:54:50 UTC
ON_QA Failed

@Satellite 6.7.0 snap 7,0

Steps/Observation:
 - No more able to ' error : foreman_tasks/api/tasks/bulk_search 50'
 - However tasks under product keep shows same task mutiple time and keep increase until you are on same page .(attached screenshot for reference)
   navigating to the Products-> <product name> -> Tasks

Comment 10 vijsingh 2019-12-23 06:55:14 UTC
Created attachment 1647275 [details]
tasks

Comment 11 James Jeffers 2020-01-02 11:23:44 UTC
If I understand your comment, the original defect is no longer appearing after moving to snap 7.0?

Also, I observed the same repeated XHR request and data appending to the task list as you observed. There is a katello project issue for that error https://projects.theforeman.org/issues/28535.

Comment 12 vijsingh 2020-01-02 12:37:47 UTC
(In reply to James Jeffers from comment #11)
> If I understand your comment, the original defect is no longer appearing
> after moving to snap 7.0?

Yes .

> 
> Also, I observed the same repeated XHR request and data appending to the
> task list as you observed. There is a katello project issue for that error
> https://projects.theforeman.org/issues/28535.

Downstream bug: https://bugzilla.redhat.com/show_bug.cgi?id=1787330

Comment 15 errata-xmlrpc 2020-04-14 13:27:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.